## hello-world-app 0.4

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# The icons

srcdir = /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4
top_srcdir = /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4
VPATH = /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4
pkgdatadir = $(datadir)/hello-world-app
pkglibdir = $(libdir)/hello-world-app
pkgincludedir = $(includedir)/hello-world-app
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"hello-world-app\" -DVERSION=\"0.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GTK_CFLAGS = -D_XOPEN_SOURCE=500 -DXTHREADS -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lglib-2.0  
PACKAGE = hello-world-app
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.4
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/mvo/work/stage.maemo.org/tags/hello-world-app/0.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

icondir = $(datadir)/icons/hicolor


# The program
bin_PROGRAMS = hello-world

hello_world_SOURCES = hello-world.c
hello_world_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
hello_world_LDADD = $(GTK_LIBS) $(OSSO_LIBS) libhelloworld.la

desktopdir = $(datadir)/applications/hildon
desktop_DATA = hello-world.desktop

servicedir = $(datadir)/dbus-1/services
service_DATA = com.nokia.hello_world_app.service


# The shared library
lib_LTLIBRARIES = libhelloworld.la

include_HEADERS = libhelloworld.h

libhelloworld_la_SOURCES = libhelloworld.c \
                           libhelloworld.h

libhelloworld_la_CFLAGS = $(GTK_CFLAGS)
libhelloworld_la_LIBADD = $(GTK_LIBS)


# The control panel applet
libcpdir = $(libdir)/hildon-control-panel
libcp_LTLIBRARIES = libhelloworld-cp.la

libhelloworld_cp_la_SOURCES = hello-world-applet.c
libhelloworld_cp_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
libhelloworld_cp_la_LDFLAGS = -module -avoid-version
libhelloworld_cp_la_LIBADD = $(GTK_LIBS) libhelloworld.la

controlpaneldir = $(datadir)/applications/hildon-control-panel
controlpanel_DATA = hello-world-cp.desktop


# The status bar plugin
libsbdir = $(libdir)/hildon-status-bar
datsbdir = $(datadir)/applications/hildon-status-bar
libsb_LTLIBRARIES = libhelloworld_sb.la
datsb_DATA = hello-world-sb.desktop

libhelloworld_sb_la_SOURCES = hello-world-statusbar.c
libhelloworld_sb_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
libhelloworld_sb_la_LDFLAGS = -module -avoid-version
libhelloworld_sb_la_LIBADD = $(GTK_LIBS) libhelloworld.la


# The Home plugin
libhhdir = $(libdir)/hildon-home
dathhdir = $(datadir)/applications/hildon-home
libhh_LTLIBRARIES = libhelloworld-home.la
dathh_DATA = hello-world-home.desktop

libhelloworld_home_la_SOURCES = hello-world-home.c
libhelloworld_home_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
libhelloworld_home_la_LDFLAGS = -module -avoid-version
libhelloworld_home_la_LIBADD = $(GTK_LIBS) libhelloworld.la


# The locale

# The gstreamer plugin

# The backup/restore configuration
EXTRA_DIST = \
        autogen.sh				\
        make-package				\
        debian/changelog			\
        debian/compat				\
        debian/copyright			\
        debian/control				\
        debian/rules				\
	debian/postinst				\
        hello-world.desktop			\
        hello-world-cp.desktop			\
        hello-world-home.desktop		\
        hello-world-sb.desktop			\
        com.nokia.hello_world_app.service	\
        hello-world.26.png			\
        hello-world.40.png			\
        hello-world.64.png

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES) $(libcp_LTLIBRARIES) \
	$(libhh_LTLIBRARIES) $(libsb_LTLIBRARIES)

libhelloworld_cp_la_DEPENDENCIES = libhelloworld.la
am_libhelloworld_cp_la_OBJECTS = \
	libhelloworld_cp_la-hello-world-applet.lo
libhelloworld_cp_la_OBJECTS = $(am_libhelloworld_cp_la_OBJECTS)
libhelloworld_home_la_DEPENDENCIES = libhelloworld.la
am_libhelloworld_home_la_OBJECTS = \
	libhelloworld_home_la-hello-world-home.lo
libhelloworld_home_la_OBJECTS = $(am_libhelloworld_home_la_OBJECTS)
libhelloworld_la_LDFLAGS =
libhelloworld_la_DEPENDENCIES =
am_libhelloworld_la_OBJECTS = libhelloworld_la-libhelloworld.lo
libhelloworld_la_OBJECTS = $(am_libhelloworld_la_OBJECTS)
libhelloworld_sb_la_DEPENDENCIES = libhelloworld.la
am_libhelloworld_sb_la_OBJECTS = \
	libhelloworld_sb_la-hello-world-statusbar.lo
libhelloworld_sb_la_OBJECTS = $(am_libhelloworld_sb_la_OBJECTS)
bin_PROGRAMS = hello-world$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_hello_world_OBJECTS = hello_world-hello-world.$(OBJEXT)
hello_world_OBJECTS = $(am_hello_world_OBJECTS)
hello_world_DEPENDENCIES = libhelloworld.la
hello_world_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/hello_world-hello-world.Po \
	./$(DEPDIR)/libhelloworld_cp_la-hello-world-applet.Plo \
	./$(DEPDIR)/libhelloworld_home_la-hello-world-home.Plo \
	./$(DEPDIR)/libhelloworld_la-libhelloworld.Plo \
	./$(DEPDIR)/libhelloworld_sb_la-hello-world-statusbar.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libhelloworld_cp_la_SOURCES) \
	$(libhelloworld_home_la_SOURCES) $(libhelloworld_la_SOURCES) \
	$(libhelloworld_sb_la_SOURCES) $(hello_world_SOURCES)
DATA = $(controlpanel_DATA) $(dathh_DATA) $(datsb_DATA) $(desktop_DATA) \
	$(service_DATA)

HEADERS = $(include_HEADERS)

DIST_COMMON = README $(include_HEADERS) $(srcdir)/Makefile.in \
	$(srcdir)/configure Makefile.am aclocal.m4 compile config.guess \
	config.sub configure configure.ac depcomp install-sh ltmain.sh \
	missing mkinstalldirs
SOURCES = $(libhelloworld_cp_la_SOURCES) $(libhelloworld_home_la_SOURCES) $(libhelloworld_la_SOURCES) $(libhelloworld_sb_la_SOURCES) $(hello_world_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libcpLTLIBRARIES_INSTALL = $(INSTALL)
install-libcpLTLIBRARIES: $(libcp_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libcpdir)
	@list='$(libcp_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \

=== debian/changelog ===
hello-world-app (0.4) unstable; urgency=low

  * Added postinst with lost of trickery to get icons recognized.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 11 May 2006 19:03:18 +0300

hello-world-app (0.3) unstable; urgency=low

  * Ported to IT-2006

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 11 May 2006 13:54:36 +0300

hello-world-app (0.2) unstable; urgency=low

  * With control panel applet and status bar plugin now.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri,  9 Sep 2005 12:14:29 +0300

hello-world-app (0.1) unstable; urgency=low

  * Intermediate release with icons and a shared library.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 17 Aug 2005 15:56:13 +0300

hello-world-app (0.0) unstable; urgency=low

  * Initial Release.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 23 May 2005 14:54:40 +0300

=== debian/control ===
Source: hello-world-app
Section: user/other
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1)
Standards-Version: 3.6.0

Package: hello-world-app
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}
Description: An example package for the application installer
 It contains an application, a control panel plugin, a home plugin, a
 statusbar plugin, a shared library, and a GNU icon.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAZCAAAAAAKtWG8AAAACXBIWXMAAAAnAAAAJwEqCZFP
 AAAAB3RJTUUH1QkMEgEBuF+MPAAAACF0RVh0Q29tbWVudABKUEVHOmdudS1oZWFkLmpwZyAy
 NzZ4MjYxjzmxCgAAAi9JREFUKM9dkd9LU2Ecxp/37HU/nFub02Zty9K0lc5FYWJBUCBeRD+o
 y6j/IoIuoj8hgi6DgqAroSAk+gWSIuZVTU1nuDM3tzl1O3PNc3a29/12cSyoy+/zfD+fm4cR
 QJWdPXgiCgMAECNVF72t4ICZmEmxmn9ooN8FAEV1gnmr/VeCHDKd9USHlIAecAIAfPJmM5l5
 br/NkdS16KAHtFdccndTLuAcBaKmVslxMkoIeUAFdT4hr00IfvUGR8fxjU2dw1VK3AG0z4/V
 qjI59j05R7cUHHLYHVyW01GC+fFhPayFR/p6JlefHLyI5fnrLVzhzfxi+MW7B+N29Wx2mr9f
 y73O19+E3G1MzmZeenxLr7rW3sYHybbz6XLft6ep0PDwOdujtt3Dxer9ASbj+pTdF04mzwRT
 sfOdo5zDf5L7XBcA+BfVES/8P0zn+NbRkA0govzSHBElhDR0SXJ6VYpsk4gYAagXurH9q8sJ
 kXKFChm30XTEAQ4AxUhjVcQkseV68Eu8UzutAAAjwFgo1S+VI6i0VtX0GHnyXre1AVFj29gS
 X4nkuiYqZTH1QRIRkQKABxyK0l4mFt5gXl+hEbOG4wAAGDi2IjpYx2xEW8mdsjIQERGtCVrf
 kCTMjCnTlo8U6yFUQLi+1RA/n92dYZYPjCy2xPy1vcIJRdUHbPu+fYq110w3p6JN7hL+rcC6
 WhiOqMmFXuP/Ci0KuMuZLd2b/5OwvzwAamrlWs+B/es340gXFARK7DMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/hello-world-app

        # See postinst for why we do this.
	( cd $(CURDIR)/debian/hello-world-app/usr/share/applications/hildon \
          && mv hello-world.desktop hello-world.inactive                    \
        )

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hello-world-app 0.4.1

=== debian/changelog ===
hello-world-app (0.4.1) unstable; urgency=low

  * Build directory cleanup

 -- Maemo Integration <integration@maemo.org>  Mon, 26 Mar 2007 15:20:00 +0300

## hello-world-app 0.5.1

=== debian/changelog ===
hello-world-app (0.5.1) unstable; urgency=low

  * Added build dependencies to hildon-desktop-dev and
    hildon-control-panel-dev
  * Changed maintainer to Maemo Integration. 

 -- Maemo Integration <integration@maemo.org>  Mon, 06 Aug 2007 14:31:27 +0300

hello-world-app (0.5) unstable; urgency=low

  * Ported to new Hildon

 -- Marius Vollmer <marius.vollmer@nokia.com>  Sun, 10 Jun 2007 22:34:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: hello-world-app
 Section: user/other
 Priority: optional
-Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1)
+Maintainer: Maemo Integration <integration@maemo.org>
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), hildon-desktop-dev, hildon-control-panel-dev
 Standards-Version: 3.6.0
 
 Package: hello-world-app
 Architecture: any
-Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}
 Description: An example package for the application installer
  It contains an application, a control panel plugin, a home plugin, a

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) distclean
 
 	dh_clean 
 
@@ -68,8 +68,8 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs 
-#	dh_installdocs
+	dh_installchangelogs 
+	dh_installdocs
 #	dh_installexamples
 #	dh_install
 #	dh_installmenu

## hello-world-app 2.1

=== debian/changelog ===
hello-world-app (2.1) unstable; urgency=low

  * Added libgtk2.0-bin to dependency field.
  * License changed

 -- Maemo Integration <integration@maemo.org>  Thu, 15 May 2008 12:44:16 +0300

hello-world-app (2.0) unstable; urgency=low
  
  * Modified postrm to execute maemo-select-menu-location only if it is
    present

 -- Maemo Integration <integration@maemo.org>  Wed, 12 Mar 2008 14:41:03 +0200

hello-world-app (1.1) unstable; urgency=low

  * postinst and postrm back in place

 -- Maemo Integration <integration@maemo.org>  Tue, 11 Mar 2008 09:27:14 +0200

hello-world-app (1.0) unstable; urgency=low

  * postinst script modified to not add the desktop entry to the
    tasknavigator, statusbar and home configuration files under /etc
  * Corresponding changes in postrm script
  * Updated Section and Standards-version fields control file
  * Added osso-af-settings to Build-depends

 -- Maemo Integration <integration@maemo.org>  Wed, 30 Jan 2008 09:57:18 +0200

hello-world-app (0.9.1) unstable; urgency=low

  * Changed autogen.sh to copy files instead of symlinking to absolute path.

 -- Maemo Integration <integration@maemo.org>  Thu, 27 Dec 2007 17:43:06 +0200

hello-world-app (0.9) unstable; urgency=low

  * Modified postrm for clean uninstallation.

 -- Maemo Integration <integration@maemo.org>  Tue, 27 Nov 2007 11:05:02 +0200

hello-world-app (0.8) unstable; urgency=low

  * Ported to new plugin APIs

 -- Maemo Integration <integration@maemo.org>  Thu,  8 Nov 2007 12:32:17 +0200

hello-world-app (0.7) unstable; urgency=low

  * Added dependency to desktop. Fixes: NB#72684

 -- Maemo Integration <integration@maemo.org>  Thu, 11 Oct 2007 11:09:17 +0300

hello-world-app (0.6) unstable; urgency=low

  * Added task navigator plugin example code.
  * postinst script now adds desktop entries to the configuration files under
    /etc
  * Added postrm script

 -- Maemo Integration <integration@maemo.org>  Mon, 01 Oct 2007 16:24:14 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: hello-world-app
-Section: user/other
+Section: misc
 Priority: optional
 Maintainer: Maemo Integration <integration@maemo.org>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), hildon-desktop-dev, hildon-control-panel-dev
-Standards-Version: 3.6.0
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), hildon-desktop-dev, hildon-control-panel-dev, osso-af-settings
+Standards-Version: 3.7.2
 
 Package: hello-world-app
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, hildon-desktop, libgtk2.0-bin
 Description: An example package for the application installer
  It contains an application, a control panel plugin, a home plugin, a
  statusbar plugin, a shared library, and a GNU icon.
-XB-Maemo-Icon-26:
+XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAZCAAAAAAKtWG8AAAACXBIWXMAAAAnAAAAJwEqCZFP
  AAAAB3RJTUUH1QkMEgEBuF+MPAAAACF0RVh0Q29tbWVudABKUEVHOmdudS1oZWFkLmpwZyAy
  NzZ4MjYxjzmxCgAAAi9JREFUKM9dkd9LU2Ecxp/37HU/nFub02Zty9K0lc5FYWJBUCBeRD+o

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 configure: configure-stamp
 configure-stamp:
+	test -e ./configure || ./autogen.sh
 	dh_testdir
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static
